/*global QUnit:false, module:false, test:false, asyncTest:false, expect:false*/
/*global start:false, stop:false ok:false, equal:false, notEqual:false, deepEqual:false*/
/*global notDeepEqual:false, strictEqual:false, notStrictEqual:false, raises:false*/
(function($) {

  /*
    ======== A Handy Little QUnit Reference ========
    http://docs.jquery.com/QUnit

    Test methods:
      expect(numAssertions)
      stop(increment)
      start(decrement)
    Test assertions:
      ok(value, [message])
      equal(actual, expected, [message])
      notEqual(actual, expected, [message])
      deepEqual(actual, expected, [message])
      notDeepEqual(actual, expected, [message])
      strictEqual(actual, expected, [message])
      notStrictEqual(actual, expected, [message])
      raises(block, [expected], [message])
  */

  module('jQuery#external');
  
  test('Internal links', function() {
    ok(!$('#test1').external().length, 'index.html is internal');
    ok(!$('#test2').external().length, '/ is external');
    ok(!$('#test3').external().length, 'mailto:dan@dan-jordan.co.uk is internal');
    ok(!$('#test4').external().length, '# is internal');
    ok(!$('#test5').external().length, 'file:// is internal');
  });
  
  test('External links', function() {
    ok(!!$('#test6').external().length, 'http://www.google.com is external');
  });
  
  module(':external selector');
 
   test('Internal links', function() {
    ok(!$('#test1:external').length, 'index.html is internal');
    ok(!$('#test2:external').length, '/ is external');
    ok(!$('#test3:external').length, 'mailto:dan@dan-jordan.co.uk is internal');
    ok(!$('#test4:external').length, '# is internal');
    ok(!$('#test5:external').length, 'file:// is internal');
  });
  
  test('External links', function() {
    ok(!!$('#test6:external').length, 'http://www.google.com is external');
  }); 

}(jQuery));